Commit 3094ee68 authored by Pablo Toharia's avatar Pablo Toharia

Fixes for webstreamer and libQGLViewer.sh

parent 200b7d21
#!/bin/bash
sudo apt-get install libqt5designer5 qttools5-dev
sudo apt install libqt5designer5 qttools5-dev
mkdir -p ~/opt/src && cd ~/opt/src
wget http://gmrv.es/~ptoharia/sw/libQGLViewer-2.6.3.tar.gz
tar zxvf libQGLViewer-2.6.3.tar.gz
......
#!/bin/bash
sudo apt install libpoco-dev libx264-dev
sudo apt install libpoco-dev libx264-dev libavutil-dev libavcodec-dev libavformat-dev libavdevice-dev libavfilter-dev libswscale-dev libpostproc-dev libswresample-dev libpng16-dev
cd $HOME/opt/src
rm -rf $HOME/opt/src/webstreamer
git clone https://github.com/HBPVIS/webstreamer
cd webstreamer
mkdir Release && cd Release
cmake .. -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=ON -DCMAKE_INSTALL_PREFIX=$HOME/opt/webstreamer
cmake .. -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=ON -DCMAKE_INSTALL_PREFIX=$HOME/opt/webstreamer . -DCMAKE_PREFIX_PATH=$POCO_DIR
make
# TODO: run install
#make install
ln -s ~/opt/modules/modules/webstreamer ~/opt/modules/installed/webstreamer
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment